Alert (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.Alert class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class Alert

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.events.server.session.Alert

All Implemented Interfaces:
  java.io.Serializable, AlertInterface

    public class Alert

extends PersistedObject
implements AlertInterface

See Also:
  Serialized Form

Constructor Summary
`` | `Alert()`
`protected` | `Alert(AlertDefinition def, AlertValue val)`

Method Summary
`protected AlertActionLog` | `createActionLog(java.lang.String detail, Action action, AuthzSubject fixer)`
`protected AlertConditionLog` | `createConditionLog(java.lang.String value, AlertCondition cond)`
`protected java.lang.Long` | `getAckedBy()`
`java.util.Collection` | `getActionLog()`
`protected java.util.Collection` | `getActionLogBag()`
`AlertDefinition` | `getAlertDefinition()`
`AlertDefinitionInterface` | `getAlertDefinitionInterface()`
`AlertValue` | `getAlertValue()`
`java.util.Collection` | `getConditionLog()`
`protected java.util.Collection` | `getConditionLogBag()`
`long` | `getCtime()`
`PerformsEscalations` | `getDefinition()`
`static java.util.List` | `getSortFields()` Get a list of the fields which can be used to sort various queries for alerts.
`protected java.lang.Long` | `getStateId()`
`long` | `getTimestamp()`
`protected void` | `invalidate()` Need to have a way of invalidating the object so that we will not use Alert POJOs out of the query caches and the object cache.
`boolean` | `isAckable()`
`boolean` | `isFixed()`
`void` | `setAckable(boolean ackable)`
`protected void` | `setAckedBy(java.lang.Long ackedBy)`
`protected void` | `setActionLogBag(java.util.Collection actionLog)`
`protected void` | `setAlertDefinition(AlertDefinition alertDefinition)`
`protected void` | `setAlertValue(AlertValue val)`
`protected void` | `setConditionLogBag(java.util.Collection conditionLog)`
`protected void` | `setCtime(long ctime)`
`protected void` | `setFixed(boolean fixed)`
`protected void` | `setStateId(java.lang.Long stateId)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.events.AlertInterface
`getId`

Constructor Detail

### Alert

    public Alert()

### Alert

    protected Alert(AlertDefinition def,
                    AlertValue val)

Method Detail

### createActionLog

    protected AlertActionLog createActionLog(java.lang.String detail,
                                             Action action,
                                             AuthzSubject fixer)

### createConditionLog

    protected AlertConditionLog createConditionLog(java.lang.String value,
                                                   AlertCondition cond)

### getDefinition

    public PerformsEscalations getDefinition()

### isFixed

    public boolean isFixed()

  Specified by:
    `isFixed` in interface `AlertInterface`

### setFixed

    protected void setFixed(boolean fixed)

### getCtime

    public long getCtime()

### setCtime

    protected void setCtime(long ctime)

### getTimestamp

    public long getTimestamp()

  Specified by:
    `getTimestamp` in interface `AlertInterface`

### getAlertDefinition

    public AlertDefinition getAlertDefinition()

### setAlertDefinition

    protected void setAlertDefinition(AlertDefinition alertDefinition)

### getAlertDefinitionInterface

    public AlertDefinitionInterface getAlertDefinitionInterface()

  Specified by:
    `getAlertDefinitionInterface` in interface `AlertInterface`

### getActionLog

    public java.util.Collection getActionLog()

  Specified by:
    `getActionLog` in interface `AlertInterface`

### getActionLogBag

    protected java.util.Collection getActionLogBag()

### setActionLogBag

    protected void setActionLogBag(java.util.Collection actionLog)

### getConditionLog

    public java.util.Collection getConditionLog()

### getConditionLogBag

    protected java.util.Collection getConditionLogBag()

### setConditionLogBag

    protected void setConditionLogBag(java.util.Collection conditionLog)

### setAckedBy

    protected void setAckedBy(java.lang.Long ackedBy)

### getAckedBy

    protected java.lang.Long getAckedBy()

### setStateId

    protected void setStateId(java.lang.Long stateId)

### getStateId

    protected java.lang.Long getStateId()

### isAckable

    public boolean isAckable()

### setAckable

    public void setAckable(boolean ackable)

### invalidate

    protected void invalidate()

  Need to have a way of invalidating the object so that we will not use Alert POJOs out of the query caches and the object cache. This is necessary because we may be changing the escalation state, which serves as the value for the SQL formula-based field acakble. Without a constraint relationship between the two objects, Hibernate will not know that the Alert should be evicted.

### getAlertValue

    public AlertValue getAlertValue()

### setAlertValue

    protected void setAlertValue(AlertValue val)

### getSortFields

    public static java.util.List getSortFields()

  Get a list of the fields which can be used to sort various queries for alerts.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.